
import { request } from '@umijs/max';

export async function getCmsLineListPlatForm(params?: API.AreaPlatForm.LineParams) {
  return request<API.AreaPlatForm.LinePageResult>(`/api/cms/station/list`, {
    method: 'GET',
    params: params
  });
}

// 新增
export async function addCmsLinePlatForm(params?: API.AreaPlatForm.AddLineParams) {
  return request<API.AreaPlatForm.LinePageResult>(`/api/cms/station`, {
    method: 'post',
    data: params,
  });
}

export async function putCmsLinePlatForm(params?: API.AreaPlatForm.AddLineParams) {
  return request<API.AreaPlatForm.LinePageResult>(`/api/cms/station`, {
    method: 'put',
    data: params,
  });
}

export async function deleteCmsLinePlatForm(ids: number) {
  return request<API.AreaPlatForm.LinePageResult>(`/api/cms/station/${ids}`, {
    method: 'delete',
  });
}



